<?php
/**
 * @file
 * Variable definitions for Social Counters.
 */


/**
 * Implements hook_variable_group_info().
 */
function social_counters_variable_group_info() {
  $groups['social_counters'] = array(
    'title'       => t('Social Counters'),
    'description' => t('Social Counters settings.'),
    'access'      => 'administer site configuration',
  );
  return $groups;
}

/**
 * Implements hook_variable_info().
 */
function social_counters_variable_info($options) {

  $variables['social_counters_facebook_uid'] = array(
    'title'       => t('Facebook Page Name (or User ID)'),
    'group'       => 'social_counters',
    'localize'    => TRUE,
    'description' => t("Either the user name or the user ID of the Facebook page."),
  );
  $variables['social_counters_twitter_account'] = array(
    'title'       => t('Twitter account'),
    'group'       => 'social_counters',
    'localize'    => TRUE,
    'description' => t('The Twitter account to pull the number of followers.'),
  );
  $variables['social_counters_twitter_oauth_consumer_key'] = array(
    'title'       => t('OAuth Consumer Key'),
    'group'       => 'social_counters',
    'localize'    => TRUE,
    'description' => t('OAuth Consumer Key (Twitter).'),
  );
  $variables['social_counters_twitter_oauth_consumer_secret'] = array(
    'title'       => t('OAuth Consumer Secret'),
    'group'       => 'social_counters',
    'localize'    => TRUE,
    'description' => t('OAuth Consumer Secret (Twitter).'),
  );
  $variables['social_counters_twitter_oauth_token'] = array(
    'title'       => t('OAuth Token'),
    'group'       => 'social_counters',
    'localize'    => TRUE,
    'description' => t('OAuth Token (Twitter).'),
  );
  $variables['social_counters_twitter_oauth_secret'] = array(
    'title'       => t('OAuth Secret'),
    'group'       => 'social_counters',
    'localize'    => TRUE,
    'description' => t('OAuth Secret (Twitter).'),
  );

  $variables['social_counters_facebook_likes'] = array(
    'title'       => t('Facebook likes'),
    'group'       => 'social_counters',
    'localize'    => TRUE,
    'description' => t('The number of likes (variable to be automatically populated).'),
  );
  $variables['social_counters_twitter_followers'] = array(
    'title'       => t('Twitter followers'),
    'group'       => 'social_counters',
    'localize'    => TRUE,
    'description' => t('The number of followers (variable to be automatically populated).'),
  );

  return $variables;
}
